Package org.kie.internal.builder.conf

## Class AccumulateFunctionOption

- java.lang.Object
- - org.kie.internal.builder.conf.AccumulateFunctionOption

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.conf.Option`, `KnowledgeBuilderOption`, `MultiValueKnowledgeBuilderOption`

      public class AccumulateFunctionOption
      extends Object
      implements MultiValueKnowledgeBuilderOption

  A class for the accumulate function configuration.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PROPERTY_NAME` | The prefix for the property name for accumulate functions

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `static AccumulateFunctionOption` | `get​(String name, org.kie.api.runtime.rule.AccumulateFunction function)` | This is a factory method for this AccumulateFunction configuration.
    `org.kie.api.runtime.rule.AccumulateFunction` | `getFunction()` | Returns the accumulate function instance
    `String` | `getName()` | Returns the name of the function configured
    `String` | `getPropertyName()`
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The prefix for the property name for accumulate functions
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static AccumulateFunctionOption get​(String name,
                                                     org.kie.api.runtime.rule.AccumulateFunction function)

      This is a factory method for this AccumulateFunction configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
      Parameters:
        `name` - the name of the function to be configured
      Returns:
        the actual type safe accumulate function configuration.

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### getName

          public String getName()

      Returns the name of the function configured
      Returns:

    - #### getFunction

          public org.kie.api.runtime.rule.AccumulateFunction getFunction()

      Returns the accumulate function instance
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`